[Bug] Doesn't work with NativeBase


#1

Been messing around with Snack and wanted to use native-base but it fails to install the package (‘Requiring unknown module “native-base”’). I don’t think it’s always been like this, but it could be a somewhat new issue?

Something to note - when I press “Export to XDE” the app runs fine without any modification.

Demo


#2

I’ve really messed something up now! Tried loading the fonts they ask for and this happened (video).


#3

I’ve really messed something up! :confused: The issue with an endless stream of errors should be resolved today.

We know that NPM imports don’t always work as intended, and getting that resolved for everyone is one of our top priorities right now.


#4

Awesome - thanks for the update!


#5

I think NativeBase isn’t supported by Expo because NativeBase isn’t 100% JavaScript. It requires linking.


#6

Thanks for surfacing this thread again!

NativeBase does work with Expo. It has some deep calls into RN internals that weren’t supported in earlier versions of Snack, but those have been resolved at this point: https://snack.expo.io/@thetc/native-base-login


#7

Has anyone found a solution to why it fails to integrate native-base module?


#8

Any update on this? I’m having the same problem, and even the native-base-login example above is throwing the same error. Please advise